#include "darwin_robot.h"
#include "darwin_robot_exceptions.h"

#include <iostream>

//std::string robot_device="A603LOBS";
std::string robot_device="A4008atn";

int main(int argc, char *argv[])
{
  int i=0;

  try{
    CDarwinRobot darwin("Darwin",robot_device,1000000,0x02);
    std::cout << "found darwin controller" << std::endl;
    darwin.adc_start();
    for(i=0;i<5000;i++)
    {
      std::cout << "Temperature: " << darwin.adc_get_temperature() << std::endl;
      std::cout << "Vref: " << darwin.adc_get_vrefint() << std::endl;
      std::cout << "Channel1: " << darwin.adc_get_value(ADC_CH1) << std::endl;
      std::cout << "Channel2: " << darwin.adc_get_value(ADC_CH2) << std::endl;
      std::cout << "Channel3: " << darwin.adc_get_value(ADC_CH3) << std::endl;
      std::cout << "Channel4: " << darwin.adc_get_value(ADC_CH4) << std::endl;
      std::cout << "Channel5: " << darwin.adc_get_value(ADC_CH5) << std::endl;
      std::cout << "Channel6: " << darwin.adc_get_value(ADC_CH6) << std::endl;
      std::cout << "Channel7: " << darwin.adc_get_value(ADC_CH7) << std::endl;
      std::cout << "Channel8: " << darwin.adc_get_value(ADC_CH8) << std::endl;
      std::cout << "Channel9: " << darwin.adc_get_value(ADC_CH9) << std::endl;
      std::cout << "Channel10: " << darwin.adc_get_value(ADC_CH10) << std::endl;
      std::cout << "Channel12: " << darwin.adc_get_value(ADC_CH12) << std::endl;
      std::cout << "Channel14: " << darwin.adc_get_value(ADC_CH14) << std::endl;
      usleep(100000);
    }
    darwin.adc_stop();
  }catch(CException &e){
    std::cout << e.what() << std::endl;
  }
}
