#include "darwin_robot.h"
#include "darwin_robot_exceptions.h"

#include <iostream>

//std::string robot_device="A603LOBS";
std::string robot_device="A4008atn";

int main(int argc, char *argv[])
{
  int num_servos;
  unsigned int present_servos;
  std::vector<int> servos;
  std::vector<double> angles,speeds,accels;

  try{
    CDarwinRobot darwin("Darwin",robot_device,1000000,0x02);

    num_servos=darwin.mm_get_num_servos();
    present_servos=darwin.mm_get_present_servos();
    std::cout << "Found " << num_servos << "servos" << std::endl;
    std::cout << "Present servos: " << std::hex << "0x" << present_servos << std::dec << std::endl;
    darwin.mm_enable_power();
    sleep(1);
    darwin.head_set_pan_pid(0.04,0.0,0.0,0.0);
    darwin.head_set_tilt_pid(0.04,0.0,0.0,0.0);
    darwin.mm_enable_servo(20);
    darwin.mm_assign_module(20,DARWIN_MM_HEAD);
    darwin.mm_enable_servo(19);
    darwin.mm_assign_module(19,DARWIN_MM_HEAD);
    darwin.mm_start();
    darwin.head_start_tracking(45.0,90.0);
    sleep(10);
    darwin.head_set_new_target(0.0,0.0);
    sleep(10);
    darwin.mm_stop();
    darwin.mm_disable_power();
  }catch(CException &e){
    std::cout << e.what() << std::endl;
  }
}
